Bug 510102 - /etc/default/useradd customizations overwritten on package update
/etc/default/useradd customizations overwritten on package update
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: shadow-utils (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Peter Vrabec
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-07 13:20 EDT by Chris Schanzle
Modified: 2010-03-30 04:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:14:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Schanzle 2009-07-07 13:20:58 EDT
Description of problem:

Site configuration changes in /etc/default/useradd are overwritten when shadow-utils is updated (useradd.rpmsave is created).  We customize via 'useradd -D -b /local/home' and this configuration loss hosed us later when creating new accounts.


Version-Release number of selected component (if applicable):
shadow-utils-4.0.17-14.el5

Request consideration of making /etc/default/useradd %config(noreplace)

Thanks!
Comment 3 Chris Schanzle 2009-12-28 16:23:44 EST
Noticing ON_QA status - is there any QA I could/should do?
Comment 6 errata-xmlrpc 2010-03-30 04:14:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0209.html

Note You need to log in before you can comment on or make changes to this bug.